.navbar {
  background-color: #28A746FF;
  transition: background-color 0.3s, padding 0.3s;
}

.sucursal-container {
  display: flex;
  justify-content: center;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 20px;
  margin: 20px;
}

/* 👇 Ajustes para móviles (cartas más pequeñas) */

@media (max-width: 600px) {
  .sucursal-container {
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
  }


}


.wallet {
  --bg-color: #ceb;
  --bg-color-light: #f0e7ff;
  --text-color-hover: #fff;
  --box-shadow-color: rgba(206, 178, 252, 0.48);
}

.delivery {
  width: 220px;
  height: 321px;
  background: #fff;
  border-top-right-radius: 10px;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
  box-shadow: 0 14px 26px rgba(0, 0, 0, 0.04);
  transition: all 0.3s ease-out;
  text-decoration: none;
}

.delivery:hover {
  transform: translateY(-5px) scale(1.005) translateZ(0);
  box-shadow: 0 24px 36px rgba(0, 0, 0, 0.11),
    0 24px 46px var(--box-shadow-color);
}

.delivery:hover .overlay {
  transform: scale(4) translateZ(0);
}

.delivery:hover .circle {
  border-color: var(--bg-color-light);
  background: var(--bg-color);
}

.delivery:hover .circle:after {
  background: var(--bg-color-light);
}

.delivery:hover p {
  color: var(--text-color-hover);
}

.delivery p {
  font-size: 17px;
  color: #4c5656;
  margin-top: 30px;
  z-index: 1000;
  transition: color 0.3s ease-out;
}

.circle {
  width: 131px;
  height: 131px;
  border-radius: 50%;
  background: #fff;
  border: 2px solid var(--bg-color);
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  z-index: 1;
  transition: all 0.3s ease-out;
}


.circle:after {
  content: "";
  width: 118px;
  height: 118px;
  display: block;
  position: absolute;
  background: var(--bg-color);
  border-radius: 50%;
  top: 7px;
  left: 7px;
  transition: opacity 0.3s ease-out;
}

.circle i {
  font-size: 50px;
  color: #FFFFFF;
  position: relative;
  z-index: 2;
}

.circle img {
  width: 110px;
  height: 110px;
  border-radius: 60px;
}


.overlay {
  width: 118px;
  position: absolute;
  height: 118px;
  border-radius: 50%;
  /* background: var(--bg-color); */
  top: 70px;
  left: 50px;
  z-index: 0;
  transition: transform 0.3s ease-out;
}

@media (max-width: 600px) {
  .delivery {
    width: 150px;
    height: 200px;
    /* padding: 10px; */
  }

  .circle {
    width: 90px;
    height: 90px;
  }

  .circle:after {
    width: 78px;
    height: 78px;
    top: 6px;
    left: 6px;
  }

  .circle img {
    width: 75px;
    height: 75px;
  }

  .delivery p {
    font-size: 14px;
    margin-top: 20px;
  }

  .overlay {
    width: 60px;
    height: 60px;
    top: 60px;
    left: 36px;
  }
}


/* From Uiverse.io by MikeAndrewDesigner */
.carta_deli {
  margin: 100px auto;
  background: transparent;
  box-shadow: 0px 8px 28px -9px rgba(0, 0, 0, 0.45);
  position: relative;
  width: 240px;
  height: 330px;
  border-radius: 16px;
  overflow: hidden;
}

.carta_deli:wave {
  position: absolute;
  width: 540px;
  height: 700px;
  opacity: 0.6;
  left: 0;
  top: 0;
  margin-left: -50%;
  margin-top: -70%;
  background: linear-gradient(744deg, #af40ff, #5b42f3 60%, #00ddeb);
}

.icon {
  width: 3em;
  margin-top: -1em;
  padding-bottom: 1em;
}

.infotop {
  text-align: center;
  font-size: 20px;
  position: absolute;
  top: 5.6em;
  left: 0;
  right: 0;
  color: rgb(255, 255, 255);
  font-weight: 600;
}

.name {
  font-size: 14px;
  font-weight: 100;
  position: relative;
  top: 1em;
  text-transform: lowercase;
}

.wave:nth-child(2),
.wave:nth-child(3) {
  top: 210px;
}

.playing .wave {
  border-radius: 40%;
  animation: wave 3000ms infinite linear;
}

.wave {
  border-radius: 40%;
  animation: wave 55s infinite linear;
}

.playing .wave:nth-child(2) {
  animation-duration: 4000ms;
}

.wave:nth-child(2) {
  animation-duration: 50s;
}

.playing .wave:nth-child(3) {
  animation-duration: 5000ms;
}

.wave:nth-child(3) {
  animation-duration: 45s;
}

@keyframes wave {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}